Hi
As Mark mentioned, there is only a form attached to the iProperties.
Things to take note of, is where you wish the information to come from, either the Model, and or the drawing. I personally use a combination of both.
What I do have is some code to create the Custom fields if they don't exist. See the example screenshot. I use these properties so seldom, I decided not to include them in my template. (Also because they belong to a notes sketched symbol, which does not live in my template either.)
Once I run the code, the fields become populated and are ready for use.
See Code below. (Note, this took me a while and has mutated from various snippets of code, and lots of de-bugging)
' ---------------------start of GDI iLogic code---------------------
Dim propertyName1 As String = "REGION"
Dim propertyName2 As String = "TERRAIN_CATEGORY"
Dim propertyName3 As String = "WIND_LOAD"
Dim propertyName4 As String = "WIND_SPEED"
Dim propertyName5 As String = "WARP"
Dim propertyName6 As String = "WEFT"
Dim propertyName7 As String = "FABRIC"
'define custom property collection
oCustomPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")
Try
'set property value
oProp = oCustomPropertySet.Item(propertyName1)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName1)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName2)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName2)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName3)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName3)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName4)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName4)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName5)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName5)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName6)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName6)
End Try
Try
'look for property
oProp = oCustomPropertySet.Item(propertyName7)
Catch
' Assume error means not found so create it
oCustomPropertySet.Add("", propertyName7)
End Try
Dim strRegion As String
Dim strTerrain As String
Dim strLoad As String
Dim strSpeed As String
Dim strWarp As String
Dim strWeft As String
'get values from user
strRegion = InputBox("Enter Wind Region Code.", "GDI iLogic","A" ) 'set default to A
strTerrain = InputBox("Enter the Terrain Category.", "GDI iLogic", "2.5") 'set default to 2.5
strLoad = InputBox("Enter the Wind Load Standard", "GDI iLogic", "A.S. 1170") 'Fixed Value
strSpeed = InputBox("Enter the Design Wind Speed", "GDI iLogic", "39.2") 'Design Wind Speed
strWarp = InputBox("Enter the Warp Factor", "GDI iLogic", "1.0") 'Fabric Warp Factor
strWeft = InputBox("Enter the Weft Factor", "GDI iLogic", "1.0") 'Fabric Weft Factor
strFab = InputBox("What Fabric is being used?", "GDI iLogic", "Fabric Type") 'Fabric Weft Factor
'set custom property values
iProperties.Value("Custom", "REGION") = strRegion
iProperties.Value("Custom", "TERRAIN_CATEGORY") = strTerrain
iProperties.Value("Custom", "WIND_LOAD") = strLoad
iProperties.Value("Custom", "WIND_SPEED") = strSpeed
iProperties.Value("Custom", "WARP") = strWarp
iProperties.Value("Custom", "WEFT") = strWeft
iProperties.Value("Custom", "FABRIC") = strFab
iLogicVb.UpdateWhenDone = True
' ---------------------end of GDI iLogic code ---------------------
Reg
2025.1.2
Please Accept as a solution / Kudos